# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "irc_lib"
version = "0.1.0"
authors = ["Mario de la Ossa <mariodelaossa@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Simple IRC library with plugin support"
readme = "README.md"
keywords = ["irc"]
license = "MIT"
repository = "https://github.com/mdelaossa/irc_lib"

[lib]
name = "irc_lib"
path = "src/lib.rs"

[[bin]]
name = "irc_lib"
path = "src/main.rs"

[dependencies.derive_more]
version = "2.0.1"
features = ["full"]
